jquery_update

elFinder + jQuery 1.10 [РЕШЕНО]

Аватар пользователя deska

Приветствую.

Установил связку elFinder+ckEditor.

jQuery_update (версия 1.10 для frontend 1.5 для backend)

Не работает elFinder. Как только ставлю версию 1.8 для frontend, всё работает.
Как подружить elFinder с 1.10 или как заставить его брать версию из backend?

0 Спасибо

Автокомплекс Boomer, Сочи

Аватар пользователя art-ego

Автокомплекс Boomer — это лидер в сфере продаж запчастей для автомобилей AUDI, BMW, PORSCHE, MERCEDES, VOLKSWAGEN, SKODA на территории города Сочи.

Мы создали для Бумера "резиновый" корпоративный сайт с CMS Drupal 7.34 на борту.
Вопросы и фидбек - welcome!

0 Спасибо

Обновления jQuery UI да версии 1.11

Аватар пользователя init0

Здравствуйте!

Сейчас стоит последняя версия модуля jquery_update - 7.x-3.x-dev. В ней идет старая версия jQuery UI 1.10, как обновить к 1.11?

Нашел такой способ:

https://www.drupal.org/node/2197249

Но патчи применяются с ошибками, короче ничего не вышло. Возможно кто то уже решал подобною проблему?

А возможно есть обходной путь, нужно заставить работать таби сделанные на основе jQuery UI:

0 Спасибо

Не работает jQuery скрипт у анонимных пользователей

Аватар пользователя altair4713

Добрый день!

Проблема следующая. Не работает простейший jQuery скрипт у анонимных пользователей и периодически у простых юзеров. На сайте стоит jQuery Update, изначально скрипт использовал jQuery UI и я думал, что всё дело в конфликте базового UI и того, что подключает модуль, но даже переписав скрипт и оставив чистый jQuery он продолжает работать только у администраторов. Может кто-нибудь подсказать в чём проблема?

И, собственно, сам код:

0 Спасибо

Не работает импорт материала Feeds

Аватар пользователя vic57

Здравствуйте!Создал импорт материала через feeds.Все работает.
Для того чтобы работали другие скрипты на сайте пришлось отключить jquery update и подключить библиотеку через тему сайта.В результате импорт перестал работать.То есть после нажатия кнопки импорт просто открывается предыдущая страница.
Подскажите в чем дело?

0 Спасибо

Проблема с views

Аватар пользователя serdce777

Здравствуйте, может у кого то была подобная проблема, весь интернет проштрудировала и ответа, собственно, не нашла.
Суть проблемы в том, что вдруг перестали создаваться представления, т.е. наполовину, все практически могу сделать, но добавить новые поля или изменить изменить формат я не могу. При изменении версии jQuery на 1.10 появляется ошибка
"Возникла AJAX HTTP ошибка.
Полученный код HTTP: 200
Следует отладочная информация.
Путь:/system/ajax
Текст Состояния: ОК
Текст Ответа: "
И никакого текста ответа.

0 Спасибо

Сворачивание блока

Аватар пользователя vic57

Привет.Хочу сделать сворачиваемый блок.Подскажите почему не работает.
Я сделал следующее:

1) создал кнопку при клике на которую будет сворачиваться блок

<input type="button" value="Новая заявка" onclick="hideShowDiv();">

2) создал файл formblock.js

(function ($) {
Drupal.behaviors.Zen = {
attach: function(context, settings) {

function init(){
    $('#block-formblock-tiket').hide();
}

function hideShowDiv(){
      $('#block-formblock-tiket').toggle('slow');
}
alert('hello');

}
};
})(jQuery);

3)подключил файл через тему
в файле .info
scripts[] = js/formblock.js

конечно закинул файл в папку js темы zen

0 Спасибо

[Решено] Lightbox2 открывает, но не показывает картинки (белое окно)

Аватар пользователя alepopov

Всем добрый день!
Проблема в том, что картинки в Lightbox2 открываются но не отображается. Мы видим только белое всплывающее окно.
Проблема и с формой авторизации на сайте. Форма не открывается совсем.
Сайт vnao.ru
Проблема возникла после обновления модулей.
Как разобраться, в чем может быть проблема?

Проблема решилась отключением модуля jquery_update

0 Спасибо

Неправильная работа jquery. Его обновление или отключение.

Аватар пользователя nexxos

Доброго времени суток, форумчане!

У меня проблема с шаблоном cenus.
На нём в cenus.info прописан scripts[] = js/jquery-1.5.1.min.js и он устарел для некоторых модулей и мешает правильной работе слайдера, выпадающего меню и скрипта заказа звонка. Также он не совмещен с работой модуля jquery_update и в результате сайт загружен работой сразу двух версий jquery;

Если его выключать в cenus.info или менять расположение на jquery 1.7 из jquery_update, то сайт становится полностью белым и не работает -.-

Как правильно его отключить или обновить?

0 Спасибо

Показ блока в всплывающем окне

Аватар пользователя Lostrace

Здравствуйте, скачал и установил fancybox, пытаюсь чтобы при нажатии на блок выплывал другой блок с помощью fancybox.
Но почему-то ничего не происходит при нажатии!

Вот jquery код:

0 Спасибо

вопрос по jquery

Аватар пользователя cyprien

Возможно ли подключение разных jquery библиотек? На сайте есть калькулятор для которого подключаю скрипты и стили через info-файл темы, но при этом перестают работать модули такие как lightbox, views (выпадает: An error occurred at /admin/build/views/ajax/add-item/usd/default/field...)

0 Спасибо

jQuery Update

Аватар пользователя Punk_UnDeaD

http://yadi.sk/d/j7Fjkm4O6Ubix
по ссылке известный модуль с багфиксами
прошу сообщество потестировать на работоспособность

для тех, кто не в курсе состояния разработки, поясняю
1 многие админские модули не работают с новым jQuery и не факт, что заработают, для этого была добавлена опция оставляющая в админке старый jQuery, её можно и нужно использовать
2 в модуль был добавлен крайний jQuery UI, что не убавило проблем с совместимостями
3 ajax delivery возвращает не только контент, но и скрипты, если использовать аяксовые формы, просто так нельзя было определить, админская часть или клиентская отправила запрос
4 другие несовместимости с ядром

над вторым и третьим пунктом ваш покорный слуга и поработал

0 Спасибо

Tweme 1.1 — Супер "лайтовая" интеграция Twitter Bootstrap с Drupal

Аватар пользователя tonystar

Tweme — это супер "лайтовая" интеграция Twitter Bootstrap с Drupal.

Вес темы — всего 36 KB!

При этом в теме реализовано несколько уникальных возможностей, значительно упрощающих работу с сайтом.

Возможности

  • Автоматическое слайд-шоу из блоков региона "Featured"
  • Полнофункциональная панель навигации — с логотипом, выпадающими меню и формой поиска
  • Специальные "невидимые" регионы — для счетчиков статистики
  • Специальные "прилипающие" регионы — для оглавления или виджетов социальных сетей
0 Спасибо

Tweme 1.0 — Легкая адаптивная тема для Drupal на основе Twitter Bootstrap

Аватар пользователя tonystar

Tweme — это легкая адаптивная тема для Drupal, позволяющая использовать все возможности замечательного фреймфорка Twitter Bootstrap.

Возможности

  • Адаптивный дизайн
  • Встроенное слайд-шоу для региона "Featured"
  • Компактная панель навигации со встроенным логотипом, поиском и главным меню
  • Главное меню с выпадающими подменю любой вложенности, заголовками и разделителями
  • Растягивающаяся форма поиска
  • Плавающие боковые панели для оглавления или социальных плагинов

Ссылки

0 Спасибо

Произошла HTTP ошибка 0. \n/filefield/ahah/news/field_image/0

Аватар пользователя Shi3A

После обновления php до версии 5.3.17 вылезла сия ошибка "Произошла HTTP ошибка 0. \n/filefield/ahah/news/field_image/0"
Все известные мне способы решения - не работают. Пробовал:
1. Проверил, nginx и php разрешают заливать огромные файлы, сам же гружу несколько килобайт
2. Поставил модуль jQuery Update - не помогло.
3. Переименовал скрипт ahah.js - загрузка работает.

Логи молчат, any ideas?

0 Спасибо

Кнопка вверх

Аватар пользователя Степан

подскажите, какое на данный момент самое простое решение, чтобы сделать "кнопку вверх"? как я понял из прочитанного варианты разные.

0 Спасибо

[РЕШЕНО] Drupal7 and jQuery Update in Chrome

Аватар пользователя xom940k

Всем привет. Установил на семерку jq update. Везде новый jq жуется нормально. Но вот Chrome - поперхнулся:

Uncaught Syntax error, unrecognized expression: [href=/]
k.error jquery.min.js:16
k.filter jquery.min.js:16
k jquery.min.js:16
c.querySelectorAll.k jquery.min.js:16
d.fn.extend.find jquery.min.js:16
Drupal.admin.behaviors.toolbarActiveTrail admin_menu_toolbar.js:19
Drupal.admin.attachBehaviors admin_menu.js:143
d.extend.each jquery.min.js:16
Drupal.admin.attachBehaviors admin_menu.js:142

0 Спасибо

OpenWYSIWYG не работает. Сломал голову.

Аватар пользователя Urfin

Что за лажа!? Пытаюсь поставить wysiwig редактор. Остановил свой выбор на OpenWYSIWYG.
Поставил вначале отдельным модулем OpenWYSIWYG 5.x-1.18, настроил - не отображается!
Установил WYSIWYG и через него инсталил OpenWYSIWYG. Все корректно. Настроил - не отображается! Но заметил, что jQuery Update (инсталенная давно и корректно 1.2.6) перестал работать совсем. Collpse вместо того, что бы открыть или закрыть группу перенаправляют в начало страницы. JS вообще стал глючить.
Хоть в общем скажите в каком направлении рыть?

0 Спасибо

Обновить jQuery

Аватар пользователя Ласочка

Для Fancybox необходимо обновить jQuery до 1.3+
jQuery Update установлен.
Выполнены рекомендации отсюда: jQuery 1.4.2 для фронтенда сайта
В misc/ при этом jquery.js - 1.2.6

Буду благодарна за пинок в нужном направлении.

0 Спасибо